Subject: Re: bug#25671: Feature request: emacs -Q --script as a single binary

From: Clément Pit--Claudel <[email-masked]>
Date: Fri, 10 Feb 2017 15:21:15 -0500

On 2017-02-10 12:32, Glenn Morris wrote:
> Clément Pit--Claudel wrote:
> 
>>>> What about providing elisp or emacs-script as a separate binary?
>>>
>>> What about it?
>>
>> Would that be OK?
> 
> I would not like installing Emacs to pollute my PATH with trivial things
> like that. In https://debbugs.gnu.org/20682#11 I mentioned a
> standard solution for this issue as used by perl, ruby, etc;
> namely a -x switch.

Can you explain how that works wrt the problem I mentioned in my original post? "#!/usr/bin/env emacs -x" doesn't work, does it?

Clément